<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";


function plantilla7_add($idformato,$pdf)
{
    //echo "******************************** ", $idformato;
    $CI = &get_instance();
    $CI->load->database();
    //   $idformato = $post['idformato'];


    $y = 1;
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);

    $where = array('idformato' => $idformato);
    $query7 = $CI->db->get_where('7_datos_dependientes_add', $where, 1);
    $codigo_7_add = $query7->row();
    $pdf->SetTextColor(0,0,0);

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();

    $CI->db->select('*')->from('7_datos_dependientes_add')->where('idformato', $idformato)->where('activo', 1);
    $consulta = $CI->db->get()->result_array();
    $lenght = count($consulta) - 1;
    //$pdf->Cell(48, 4, utf8_decode('lengts:---------**********' . $lenght));

    for ($x = 0; $x <= $lenght; $x++) {
        $datos = array(
            'idformato' => $consulta[$x]["idformato"],
            'iddependiente' => $consulta[$x]['iddependiente'],
            'nombre' => $consulta[$x]['nombre'],
            'primer_apellido' => $consulta[$x]['primer_apellido'],
            'segundo_apellido' => $consulta[$x]['segundo_apellido'],
            'fecha_nacimiento' => $consulta[$x]['fecha_nacimiento'],
            'rfc' => $consulta[$x]['rfc'],
            'relacion_declarante' => $consulta[$x]['relacion_declarante'],
            'relacion_declarante_esp' => $consulta[$x]['relacion_declarante_esp'],
            'ciudadano_extranjero' => $consulta[$x]['ciudadano_extranjero'],
            'curp' => $consulta[$x]['curp'],
            'habita_domicilio' => $consulta[$x]['habita_domicilio'],
            'lugar_residencia' => $consulta[$x]['lugar_residencia'],
            'mexico_extranjero' => $consulta[$x]['mexico_extranjero'],
            'calle' => $consulta[$x]['calle'],
            'numero_ext' => $consulta[$x]['numero_ext'],
            'numero_int' => $consulta[$x]['numero_int'],
            'localidad' => $consulta[$x]['localidad'],
            'municipio_estado' => $consulta[$x]['municipio_estado'],
            'entidad_pais' => $consulta[$x]['entidad_pais'],
            'codigo_postal' => $consulta[$x]['codigo_postal'],
            'actividad_laboral' => $consulta[$x]['actividad_laboral'],
            'actividad_laboral_esp' => $consulta[$x]['actividad_laboral_esp'],
            'orden_gobierno' => $consulta[$x]['orden_gobierno'],
            'ambito_publico' => $consulta[$x]['ambito_publico'],
            'ente_publico' => $consulta[$x]['ente_publico'],
            'area_adscripcion' => $consulta[$x]['area_adscripcion'],
            'cargo_publico' => $consulta[$x]['cargo_publico'],
            'funcion_principal' => $consulta[$x]['funcion_principal'],
            'salario_publico' => $consulta[$x]['salario_publico'],
            'fechaingreso_publico' => $consulta[$x]['fechaingreso_publico'],
            'cargo_privado' => $consulta[$x]['cargo_privado'],
            'nombre_empresa' => $consulta[$x]['nombre_empresa'],
            'rfc_privado' => $consulta[$x]['rfc_privado'],
            'fechaingreso_privado' => $consulta[$x]['fechaingreso_privado'],
            'sector' => $consulta[$x]['sector'],
            'sector_esp' => $consulta[$x]['sector_esp'],
            'salario_privado' => $consulta[$x]['salario_privado'],
            'proveedor_contratista' => $consulta[$x]['proveedor_contratista'],
            'aclaraciones' => $consulta[$x]['aclaraciones'],

        );

        $y++;
        if ($codigo_7_add->idformato == $idformato) {

           
            $pdf->setSourceFile('plantillas/Dependientes_7.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);
            $pdf->SetFont('Arial', 'B', 9);
            $pdf->SetTextColor(255, 255, 255);
            $pdf->SetFillColor(122, 70, 100);
            $pdf->SetY(21);
            $pdf->SetX(176);
            $pdf->MultiCell(27, 7, utf8_decode('  '), 0, 0, true);
            $pdf->SetY(27);
            $pdf->SetX(176);
            $pdf->MultiCell(27, 7, utf8_decode('NÚMERO # ' . $y), 0, 0, true);
            
                      //$pdf->Cell(20, 4, utf8_decode('id:---------' . $datos["iddependiente"]), 1, 0, '');
            $pdf->SetFont('Arial', '', 8);
            $pdf->SetTextColor(010, 010, 010);
            $pdf->SetY(57);
            $pdf->SetX(13);
            $pdf->Cell(48, 4, utf8_decode($datos["nombre"]));
            $pdf->Cell(48, 4, utf8_decode($datos["primer_apellido"]));
            $pdf->Cell(48, 4, utf8_decode($datos["segundo_apellido"]));
            $pdf->Cell(48, 4, utf8_decode($datos["fecha_nacimiento"]));
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(78, 4, utf8_decode($datos["rfc"]));
            if ($datos["relacion_declarante"] == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(109, 4, utf8_decode($datos["relacion_declarante_esp"]));
            } else {
                $pdf->Cell(109, 4, utf8_decode($datos["relacion_declarante"]));
            }
            $pdf->Ln(10.5);
            $pdf->SetX(13);
            $pdf->Cell(78, 4, utf8_decode($datos["ciudadano_extranjero"]));
            $pdf->Cell(109, 4, utf8_decode($datos["curp"]));
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(78, 4, utf8_decode($datos["habita_domicilio"]));
            $pdf->Cell(109, 4, utf8_decode($datos["lugar_residencia"]));

            $pdf->SetFont('Arial', 'B', 8);
            if ($datos["mexico_extranjero"] == 'EN EL EXTRANJERO') {
                $pdf->Text(152, 120, 'CIUDAD/LOCALIDAD');
                $pdf->Text(35, 131, 'ESTADO/PROVINCIA');
                $pdf->Text(115, 131, utf8_decode('PAÍS'));
            } else {
                $pdf->Text(152, 120, 'COLONIA/LOCALIDAD');
                $pdf->Text(35, 131, utf8_decode('MUNICIPIO/ALCALDÍA'));
                $pdf->Text(110, 131, utf8_decode('ENTIDAD FEDERATIVA'));
            }
            $pdf->SetFont('Arial', '', 8);

            $pdf->SetY(110);
            $pdf->SetX(108);
            $pdf->Cell(92, 4, utf8_decode($datos["mexico_extranjero"]));
            $pdf->Ln(13);
            $pdf->SetX(13);
            $pdf->Cell(72, 4, utf8_decode($datos["calle"]));
            $pdf->Cell(24, 4, utf8_decode($datos["numero_ext"]));
            $pdf->Cell(22, 4, utf8_decode($datos["numero_int"]));
            $pdf->Cell(70, 4, utf8_decode($datos["localidad"]));
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(72, 4, utf8_decode($datos["municipio_estado"]));
            $pdf->Cell(82, 4, utf8_decode($datos["entidad_pais"]));
            $pdf->Cell(35, 4, utf8_decode($datos["codigo_postal"]));

            $pdf->SetY(148.5);
            $pdf->SetX(13);
            if ($datos["actividad_laboral"] == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(92, 4, utf8_decode($datos["actividad_laboral_esp"]));
            } else {
                $pdf->Cell(92, 4, utf8_decode($datos["actividad_laboral"]));
            }
            $pdf->Cell(51, 4, utf8_decode($datos["orden_gobierno"]));
            $pdf->Cell(41, 4, utf8_decode($datos["ambito_publico"]));
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["ente_publico"]));
            $pdf->Cell(92, 4, utf8_decode($datos["area_adscripcion"]));
            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["cargo_publico"]));
            $pdf->Cell(92, 4, utf8_decode($datos["funcion_principal"]));
            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["salario_publico"]));
            $pdf->Cell(92, 4, utf8_decode($datos["fechaingreso_publico"]));
            $pdf->Ln(6);
            $pdf->SetX(137);
            $pdf->Cell(60, 4, utf8_decode($datos["cargo_privado"]));
            $pdf->Ln(5);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["nombre_empresa"]));
            $pdf->SetX(137);
            $pdf->Cell(60, 4, utf8_decode($datos["rfc_privado"]));
            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(51, 4, utf8_decode($datos["fechaingreso_privado"]));
            if ($datos["sector"] == '17') {
                $pdf->Cell(133, 4, utf8_decode($datos["sector_esp"]));
            } else {
                $pdf->Cell(133, 4, utf8_decode($datos["sector"]));
            }
            $pdf->Ln(5);
            $pdf->SetX(64);
            $pdf->Cell(41, 4, utf8_decode($datos["salario_privado"]));
            $pdf->SetX(184);
            $pdf->Cell(13, 4, utf8_decode($datos["proveedor_contratista"]));
            $pdf->SetY(218.5);
            $pdf->SetX(13);
            $pdf->MultiCell(184, 3.5,utf8_decode($datos["aclaraciones"]));
        }
    }

  //  return $pdf->Output("ejemplo.pdf", 'I', false);
}

